OpenVDB: VoxelOrderOp< PointIndexType, BucketLog2Dim > Struct Template Reference

OpenVDB 8.1.0

Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
VoxelOrderOp< PointIndexType, BucketLog2Dim > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | VoxelOffsetType = typename std::conditional<(bits< 16), int16_t, typename std::conditional<(bits< 32), int32_t, int64_t >::type >::type
using | VoxelOffsetArray = std::unique_ptr< VoxelOffsetType[]>
using | IndexArray = std::unique_ptr< PointIndexType[]>

## Public Member Functions
| VoxelOrderOp (IndexArray &indices, const IndexArray &pages, const VoxelOffsetArray &offsets)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
PointIndexType *const | mIndices
PointIndexType const *const | mPages
VoxelOffsetType const *const | mVoxelOffsets

## Static Public Attributes
static constexpr Index | bits = 1 + (3 * BucketLog2Dim)

## Member Typedef Documentation

## ◆ IndexArray

using IndexArray = std::unique_ptr<PointIndexType[]>

## ◆ VoxelOffsetArray

using VoxelOffsetArray = std::unique_ptr<VoxelOffsetType[]>

## ◆ VoxelOffsetType

using VoxelOffsetType = typename std::conditional<(bits < 16), int16_t, typename std::conditional<(bits < 32), int32_t, int64_t>::type>::type

## Constructor & Destructor Documentation

## ◆ VoxelOrderOp()

VoxelOrderOp | ( | IndexArray & | indices,
|  | const IndexArray & | pages,
|  | const VoxelOffsetArray & | offsets
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ bits

constexpr Index bits = 1 + (3 * BucketLog2Dim)
| staticconstexpr

## ◆ mIndices

PointIndexType* const mIndices

## ◆ mPages

PointIndexType const* const mPages

## ◆ mVoxelOffsets

VoxelOffsetType const* const mVoxelOffsets

The documentation for this struct was generated from the following file:

- PointPartitioner.h